import { Component, OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import {zh_CN, en_US, NzI18nService} from 'ng-zorro-antd';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  constructor(private translateService: TranslateService, private nzI18nService: NzI18nService) {}
  ngOnInit() {
    // --- set i18n begin ---
    this.translateService.addLangs(['zh', 'en', 'jpn']);
    const lan = localStorage.getItem('witium-default-language');
    if (lan) {
      this.translateService.setDefaultLang(lan);
      // const browserLang = this.translateService.getBrowserLang();
      this.translateService.use(lan);
      if (lan === 'zh') {
        this.nzI18nService.setLocale(zh_CN);
      } else {
        setTimeout(() => {
          if (document.getElementById('loginBtn')) {
            document.getElementById('loginBtn').style.letterSpacing = '0px';
          }
        }, 400);
        this.nzI18nService.setLocale(en_US);
      }
    } else {
      this.translateService.setDefaultLang('zh');
      // const browserLang = this.translateService.getBrowserLang();
      this.translateService.use('zh');
      this.nzI18nService.setLocale(zh_CN);
    }
    // --- set i18n end ---
  }
}
