import { Component, OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import {en_US, NzMessageService, zh_CN, NzI18nService} from 'ng-zorro-antd';
import { ApiService } from '../../shared/service/api.service';
import { PermissionService } from '../../shared/service/permission.service';
import {Router} from '@angular/router';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {
  constructor(private message: NzMessageService, private api: ApiService, private fb: FormBuilder, private router: Router) {
  }

//  变量声明
  language = LANGUAGEOBJ;
  param = PARAM;
  // public loginForm: FormGroup;
  private url = this.param.url + this.param.login.login;
  msgs = []; // 错误提示的数据
  // public currentLi = 0;
  // private timer: number;
  req: any = {};
  public isLoading = false;
  check = {
    userName: true,
    password: true
  };
  selectLanguage;

  ngOnInit() {
    if (window.localStorage.getItem('usrLang')) {
      this.selectLanguage = window.localStorage.getItem('usrLang');
    } else {
      window.localStorage.getItem('usrLang');
    }
  }

  public loginIn(req) {
    const loginUrl = this.url + this.param.login.loginForToken;
    // this.http.post(loginUrl, this.loginForm.value, (data) => {
    this.http.post(loginUrl, req, (data) => {
      this.msgs = [];
      if (this.http.handleToken(data)) {
        if (data['code'] === 1) {
          window.localStorage.setItem('token', data['message']);
          this.router.navigate(['app/dashboard']);
        } else {
          this.message.error(data['message']);
        }
      } else {
        return;
      }
      this.isLoading = false;
    });
  }

  login() {
    if (!this.req.userName) {
      this.check.userName = false;
      return;
    }
    if (!this.req.password) {
      this.check.password = false;
      return;
    }
    this.isLoading = true;
    const req = this.req;
    this.loginIn(req);
  }

  languageChange() {
    window.localStorage.setItem('usrLang', this.selectLanguage);
    window.location.reload();
  }

  enterPress(e) {
    if (e.key === 'Enter') {
      this.login();
    }
  }
}
