import { RouterModule, Routes } from '@angular/router';
import { LayoutComponent } from './layout.component';
import { AuthService } from '../shared/service/auth.service';
import { HomeComponent } from '../main/home/home.component';
import { ActualDataComponent } from '../main/actual-data/actual-data.component';
import { CompareComponent } from '../main/compare/compare.component';
import { AlarmInfoComponent } from '../main/alarm-info/alarm-info.component';
import { WarnInfoComponent } from '../main/warn-info/warn-info.component';
import { WarnEditComponent } from '../main/warn-edit/warn-edit.component';
import { CollectorManageComponent } from '../main/collector-manage/collector-manage.component';
import { PersonSetComponent} from '../main/person-set/person-set.component';
import { OperateSetComponent} from '../main/operate-set/operate-set.component';
import { RoleManageComponent} from '../main/role-manage/role-manage.component';
import { PointManageComponent} from '../main/point-manage/point-manage.component';
import { LoginLogComponent} from '../main/login-log/login-log.component';
import { GatewayManageComponent } from '../main/gateway-manage/gateway-manage.component';
import { XdkDetailComponent } from '../main/xdk-detail/xdk-detail.component';
import { XdkHistoryComponent } from '../main/xdk-history/xdk-history.component';
import { CissDetailComponent } from '../main/ciss-detail/ciss-detail.component';
import { CissHistoryComponent } from '../main/ciss-history/ciss-history.component';
import { AreaManageComponent } from '../main/area-manage/area-manage.component';
import { FactoryManageComponent } from '../main/factory-manage/factory-manage.component';
import { UserManageComponent } from '../main/user-manage/user-manage.component';
import { DeviceTypeComponent } from '../main/device-type/device-type.component';
import { DeviceModelComponent } from '../main/device-model/device-model.component';
import { DepartmentManageComponent } from '../main/department-manage/department-manage.component';
import { FactoryPaintComponent } from '../main/factory-paint/factory-paint.component';
import { PointPaintComponent } from '../main/point-paint/point-paint.component';
import { HistoryDataComponent } from '../main/history-data/history-data.component';
import { PointTypeComponent } from '../main/point-type/point-type.component';
import { MachineRoomComponent } from '../main/machine-room/machine-room.component';
import { CuttingMachineComponent } from '../main/cutting-machine/cutting-machine.component';
import { MachineRoomDetailComponent } from '../main/machine-room-detail/machine-room-detail.component';
import { CuttingMachineDetailComponent } from '../main/cutting-machine-detail/cutting-machine-detail.component';
const routes: Routes = [
  {
    path: 'app',
    component: LayoutComponent,
    canActivateChild: [AuthService],
    children: [
      {path: '', redirectTo: '/extra/login', pathMatch: 'full'},
      {path: 'home', component: HomeComponent},
      {path: 'dataManage/actualData', component: ActualDataComponent},
      {path: 'dataManage/compare', component: CompareComponent},
      {path: 'dataManage/actualData/xdkDetail', component: XdkDetailComponent},
      {path: 'dataManage/actualData/cissDetail', component: CissDetailComponent},
      {path: 'dataManage/historyData', component: HistoryDataComponent},
      {path: 'dataManage/historyData/xdkDetail', component: XdkHistoryComponent},
      {path: 'dataManage/historyData/cissDetail', component: CissHistoryComponent},
      {path: 'pointAnalyse/machineRoom', component: MachineRoomComponent},
      {path: 'pointAnalyse/machineRoom/machineRoomDetail', component: MachineRoomDetailComponent},
      {path: 'pointAnalyse/cuttingMachine', component: CuttingMachineComponent},
      {path: 'pointAnalyse/cuttingMachine/cuttingMachineDetail', component: CuttingMachineDetailComponent},
      {path: 'alarmWarn/alarmInfo', component: AlarmInfoComponent},
      {path: 'alarmWarn/warnInfo', component: WarnInfoComponent},
      {path: 'alarmWarn/warnInfo/warnNew', component: WarnEditComponent},
      {path: 'alarmWarn/warnInfo/warnEdit', component: WarnEditComponent},
      {path: 'deviceManage/collectorManage', component: CollectorManageComponent},
      {path: 'deviceManage/gatewayManage', component: GatewayManageComponent},
      {path: 'deviceManage/deviceType', component: DeviceTypeComponent},
      {path: 'deviceManage/deviceModel', component: DeviceModelComponent},
      {path: 'systemSet/personSet', component: PersonSetComponent},
      {path: 'systemSet/roleManage', component: RoleManageComponent},
      {path: 'systemSet/areaManage', component: AreaManageComponent},
      {path: 'systemSet/factoryManage', component: FactoryManageComponent},
      {path: 'systemSet/factoryManage/factoryPaint', component: FactoryPaintComponent},
      {path: 'systemSet/userManage', component: UserManageComponent},
      {path: 'systemSet/pointManage', component: PointManageComponent},
      {path: 'systemSet/pointType', component: PointTypeComponent},
      {path: 'systemSet/pointManage/pointPaint', component: PointPaintComponent},
      {path: 'systemSet/operateSet', component: OperateSetComponent},
      {path: 'systemSet/loginLog', component: LoginLogComponent},
      {path: 'systemSet/departmentManage', component: DepartmentManageComponent},
    ]
  }
];

export const LayoutRoutingModule = RouterModule.forChild(routes);

