import { Component, Input, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { fadeIn } from '../../animation/fade-in';
import { PermissionService } from '../../shared/service/permission.service';
import { NzMessageService } from 'ng-zorro-antd';
import {TranslateService} from '@ngx-translate/core';

@Component({
  selector: 'app-detail-header',
  templateUrl: './detail-header.component.html',
  animations: [fadeIn],
  styles: [`
    .detailHeader {
      display: flex;
    }

    .detailHeader .img {
      display: inline-block;
    }

    .detailHeader .word {
      flex: 1;
      padding: 5px 15px;
      font-size: 15px;
    }

    .oneLine{
      line-height: 50px;
      height: 50px;
      position: relative;
      margin-bottom: 10px;
    }

    .text {
      width: 75%;
      padding-left: 50px;
      display: inline-block;
    }

    .detailHeader .button {
      width: 300px;
      text-align: right;
    }
  `]
})
export class DetailHeaderComponent implements OnInit {

  @Input() type: String = '';
  @Input() deviceNo: String = '';
  @Input() isLoading = false;
  @Input() detail: any = {sensorName: '', SN: ''};

  constructor(private router: Router, public per: PermissionService,
              private message: NzMessageService, private translate: TranslateService) {
  }

  ngOnInit() {
  }

  toHistory() {
    if (this.detail.sensorName) {
      const req: any = {
        deviceNo: this.deviceNo,
        sensorName: this.detail.sensorName,
        sn: this.detail.SN || this.detail.sensorSN
      };
      if (this.type === 'ciss') {
        req.sensorType = this.detail.sensorType;
      }
      this.router.navigate(['/app/dataManage/historyData/' + this.type + 'Detail'], {queryParams: req});
    } else {
      this.message.error(this.translate.instant('wrongToGetData'));
    }
  }
}
