import { Injectable } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

@Injectable()
export class MenuService {
  constructor(private translate: TranslateService) {}
  private menu = {
    indexManager: '首页',
    dataManager: '数据管理',
    alarmWarning: '报警预警',
    deviceManager: '传感器管理',
    systemManager: '系统设置',
    index: '首页',
    realData: '实时数据',
    historyData: '历史数据',
    dataComparison: '数据对比',
    warning: '预警管理',
    alarm: '报警管理',
    gateway: '网关管理',
    sensor: '传感器管理',
    deviceModel: '设备型号',
    deviceType: '传感器类型',
    role: '角色管理',
    factoryLine: '产线管理',
    department: '部门管理',
    monitoringPoint: '监测点管理',
    factoryArea: '厂区管理',
    user: '后台用户管理',
    loginLog: '登录日志',
    operationLog: '操作日志',
    indexSelect: '首页查询',
    realDataSelect: '实时数据查询',
    historyDataSelect: '历史数据查询',
    dataComparisonSelect: '数据对比查询',
    warningSelect: '预警查询',
    warningInsert: '预警添加',
    warningUpdate: '预警修改',
    warningDelete: '预警删除',
    warningExport: '预警导出',
    alarmSelect: '报警查询',
    alarmExport: '报警导出',
    alarmDispose: '报警处理',
    gatewaySelect: '网关查询',
    gatewayInsert: '网关添加',
    gatewayUpdate: '网关修改',
    gatewayDelete: '网关删除',
    gatewayBindingSensor: '网关绑定传感器',
    sensorSelect: '传感器查询',
    sensorInsert: '传感器添加',
    sensorUpdate: '传感器修改',
    sensorDelete: '传感器删除',
    sensorAllocation: '传感器分配',
    sensorUnbindGateway: '传感器解绑网关',
    deviceModelSelect: '设备型号查询',
    deviceModelInsert: '设备型号添加',
    deviceModelUpdate: '设备型号修改',
    deviceModelDelete: '设备型号删除',
    deviceTypeSelect: '传感器类型查询',
    deviceTypeInsert: '传感器类型添加',
    deviceTypeUpdate: '传感器类型修改',
    deviceTypeDelete: '传感器类型删除',
    roleSelect: '角色查询',
    roleInsert: '角色添加',
    roleUpdate: '角色修改',
    roleDelete: '角色删除',
    factoryLineSelect: '产线查询',
    factoryLineInsert: '产线添加',
    factoryLineUpdate: '产线修改',
    factoryLineDelete: '产线删除',
    departmentSelect: '部门查询',
    departmentInsert: '部门添加',
    departmentUpdate: '部门修改',
    departmentDelete: '部门删除',
    monitoringPointSelect: '监测点查询',
    monitoringPointInsert: '监测点添加',
    monitoringPointUpdate: '监测点修改',
    monitoringPointDelete: '监测点删除',
    monitoringPointBindingSensor: '监测点绑定传感器',
    monitoringPointConfig: '检测点配置',
    factorySelect: '厂区查询',
    factoryInsert: '厂区添加',
    factoryUpdate: '厂区修改',
    factoryDelete: '厂区删除',
    factoryConfig: '厂区配置',
    userSelect: '后台用户查询',
    userInsert: '后台用户添加',
    userUpdate: '后台用户修改',
    userDelete: '后台用户删除',
    loginLogSelect: '登录日志查询',
    loginLogExport: '登录日志导出',
    operationLogSelect: '操作日志查询',
    operationLogExport: '操作日志导出',
    selfSystem: '个人设置',
    selfSelect: '个人信息查询',
    selfUpdate: '个人信息更新',
    monitoringPointAnalyse: '监测点分析',
    machineRoom: '机房管理',
    machineRoomSelect: '机房详情',
    cuttingMachine: '切削机管理',
    cuttingMachineSelect: '切削机详情',
    monitoringPointType: '监测点类型',
    monitoringPointTypeSelect: '监测点类型查询',
    monitoringPointTypeInsert: '监测点类型新增',
    monitoringPointTypeUpdate: '监测点类型修改',
    monitoringPointTypeDelete: '监测点类型删除'
  };

  private menuFront = {
    indexManager: 'home',
    dataManager: 'dataManage',
    alarmWarning: 'alarmWarn',
    deviceManager: 'deviceManage',
    systemManager: 'systemSet',
    index: 'home',
    realData: 'actualData',
    historyData: 'historyData',
    dataComparison: 'compare',
    warning: 'warnInfo',
    alarm: 'alarmInfo',
    gateway: 'gatewayManage',
    sensor: 'collectorManage',
    deviceModel: 'deviceModel',
    deviceType: 'deviceType',
    role: 'roleManage',
    factoryLine: 'areaManage',
    department: 'departmentManage',
    monitoringPoint: 'pointManage',
    factoryArea: 'factoryManage',
    user: 'userManage',
    loginLog: 'loginLog',
    operationLog: 'operateSet',
    factoryConfig: 'factoryPaint',
    monitoringPointConfig: 'pointPaint',
    selfSystem: 'personSet',
    selfSelect: 'personSetSelect',
    selfUpdate: 'personSetUpdate',
    monitoringPointAnalyse: 'pointAnalyse',
    machineRoom: 'machineRoom',
    machineRoomSelect: 'machineRoomDetail',
    cuttingMachine: 'cuttingMachine',
    cuttingMachineSelect: 'cuttingMachineDetail',
    monitoringPointType: 'pointType',
    monitoringPointTypeSelect: 'pointTypeSelect',
    monitoringPointTypeInsert: 'pointTypeInsert',
    monitoringPointTypeUpdate: 'pointTypeUpdate',
    monitoringPointTypeDelete: 'pointTypeDelete'
  };

  transform(value: any): any {
    return this.translate.instant(value);
  }

  transformFront(value: any): any {
    return this.menuFront[value];
  }
}
