import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { NgZorroAntdModule } from 'ng-zorro-antd';
import { FormsModule } from '@angular/forms';
import { NZ_MESSAGE_CONFIG } from 'ng-zorro-antd';
import { LoadingComponent } from './loading/loading.component';
import { TransferComponent } from './transfer/transfer.component';
import { SearchItemComponent } from './search-item/search-item.component';
import { SearchSelectComponent } from './search-select/search-select.component';
import { SearchDateComponent } from './search-date/search-date.component';
import { HttpService } from './service/http.service';
import { ApiService } from './service/api.service';
import { CheckService } from './service/check.service';
import { MenuService } from './service/menu.service';
import { AuthService } from './service/auth.service';
import { registerLocaleData } from '@angular/common';
import { TranslateModule } from '@ngx-translate/core';
import zh from '@angular/common/locales/zh';
registerLocaleData(zh);

@NgModule({
  imports: [
    CommonModule,
    RouterModule,
    NgZorroAntdModule,
    FormsModule,
    TranslateModule
  ],
  declarations: [
    LoadingComponent,
    TransferComponent,
    SearchItemComponent,
    SearchSelectComponent,
    SearchDateComponent
  ],
  providers: [
    HttpService,
    ApiService,
    CheckService,
    MenuService,
    AuthService,
    {
      provide: NZ_MESSAGE_CONFIG,
      useValue: {
        nzDuration: 3000,
        nzMaxStack: 7,
        nzPauseOnHover: true,
        nzAnimate: true
      }
    }
  ],
  exports: [
    RouterModule,
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    LoadingComponent,
    TransferComponent,
    SearchItemComponent,
    SearchSelectComponent,
    SearchDateComponent
  ],

})
export class SharedModule {
}
